%define upstream_name	 Catalyst-Plugin-Static-Simple
%define upstream_version 0.37

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Make serving static pages painless
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime) >= 5.800.80
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Types) >= 2.30.0
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%{?perl_default_filter}

%description
The Static::Simple plugin is designed to make serving static content
in your application during development quick and easy, without
requiring a single line of code from you.

This plugin detects static files by looking at the file extension in
the URL (such as B<.css> or B<.png> or B<.js>). The plugin uses the
lightweight L<MIME::Types> module to map file extensions to
IANA-registered MIME types, and will serve your static files with the
correct MIME type directly to the browser, without being processed
through Catalyst.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL installdirs=vendor --skipdeps
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.370.0-3.mga10
+ Revision: 2207160
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.370.0-2.mga9
+ Revision: 1814497
- Mageia 9 Mass Rebuild

* Fri May 07 2021 tv <tv> 0.370.0-1.mga9
+ Revision: 1722133
- update to 0.37

* Wed Feb 12 2020 umeabot <umeabot> 0.360.0-3.mga8
+ Revision: 1503540
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.360.0-2.mga7
+ Revision: 1282234
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 shlomif <shlomif> 0.360.0-1.mga7
+ Revision: 1210564
- update to 0.36

* Mon Oct 02 2017 tv <tv> 0.340.0-2.mga7
+ Revision: 1163260
- rebuild with fixed rpm for missing autodeps

* Tue Sep 26 2017 guillomovitch <guillomovitch> 0.340.0-1.mga7
+ Revision: 1159896
- new version 0.34

* Sat Jun 18 2016 pterjan <pterjan> 0.330.0-3.mga6
+ Revision: 1023392
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.330.0-2.mga6
+ Revision: 967089
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.330.0-1.mga6
+ Revision: 848088
- update to 0.33

* Wed Oct 15 2014 umeabot <umeabot> 0.320.0-4.mga5
+ Revision: 748072
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.320.0-3.mga5
+ Revision: 732877
- add exclude
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Thu Jun 05 2014 sander85 <sander85> 0.320.0-1.mga5
+ Revision: 633466
- update to 0.32

* Sat Oct 19 2013 umeabot <umeabot> 0.310.0-2.mga4
+ Revision: 534278
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 sander85 <sander85> 0.310.0-1.mga4
+ Revision: 477087
- update to 0.31

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 364078
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.300.0-1.mga3
+ Revision: 254655
- update to 0.30

* Wed Jan 26 2011 jquelin <jquelin> 0.290.0-1.mga1
+ Revision: 40305
- mageia rebuild
- imported package perl-Catalyst-Plugin-Static-Simple


* Tue Feb 02 2010 Jérôme Quelin <jquelin@mandriva.org> 0.290.0-1mdv2010.1
+ Revision: 499484
- update to 0.29

* Tue Jan 05 2010 Jérôme Quelin <jquelin@mandriva.org> 0.280.0-1mdv2010.1
+ Revision: 486306
- update to 0.28

* Mon Jan 04 2010 Jérôme Quelin <jquelin@mandriva.org> 0.270.0-1mdv2010.1
+ Revision: 486116
- update to 0.27

* Mon Dec 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.260.0-1mdv2010.1
+ Revision: 474408
- update to 0.26

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.250.0-1mdv2010.1
+ Revision: 461736
- update to 0.25

* Mon Aug 31 2009 Jérôme Quelin <jquelin@mandriva.org> 0.220.0-1mdv2010.0
+ Revision: 422887
- update to 0.22

* Sun Aug 02 2009 Jérôme Quelin <jquelin@mandriva.org> 0.210.0-1mdv2010.0
+ Revision: 407513
- adding missing buildrequires:
- rebuild using %%perl_convert_version

* Mon May 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.21-1mdv2010.0
+ Revision: 371667
- update to new version 0.21

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.20-3mdv2009.0
+ Revision: 255571
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2008.1
+ Revision: 97373
- update to new version 0.20

* Tue Jul 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2008.0
+ Revision: 47625
- update to new version 0.19

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2008.0
+ Revision: 47031
- update to new version 0.18

* Sun May 20 2007 Olivier Thauvin <nanardon@mandriva.org> 0.17-1mdv2008.0
+ Revision: 28824
- 0.17

* Mon Apr 30 2007 Olivier Thauvin <nanardon@mandriva.org> 0.15-1mdv2008.0
+ Revision: 19701
- 0.15


* Thu Jun 29 2006 Scott Karns <scott@karnstech.com> 0.14-1mdv2007.0
- Initial Mandriva RPM

